org.apache.http.client

## Interface AuthenticationHandler

All Known Implementing Classes:
  AbstractAuthenticationHandler, DefaultProxyAuthenticationHandler, DefaultTargetAuthenticationHandler

Deprecated.
(4.2) use `AuthenticationStrategy`

    @Deprecated
    public interface AuthenticationHandler

/** A handler for determining if an HTTP response represents an authentication challenge that was sent back to the client as a result of authentication failure.

Implementations of this interface must be thread-safe. Access to shared data must be synchronized as methods of this interface may be executed from multiple threads.

Since:
  4.0

### Method Summary

Methods
`Map<String,org.apache.http.Header>` `getChallenges(org.apache.http.HttpResponse response, org.apache.http.protocol.HttpContext context)` Deprecated. Extracts from the given HTTP response a collection of authentication challenges, each of which represents an authentication scheme supported by the authentication host.
`boolean` `isAuthenticationRequested(org.apache.http.HttpResponse response, org.apache.http.protocol.HttpContext context)` Deprecated. Determines if the given HTTP response response represents an authentication challenge that was sent back as a result of authentication failure
`AuthScheme` `selectScheme(Map<String,org.apache.http.Header> challenges, org.apache.http.HttpResponse response, org.apache.http.protocol.HttpContext context)` Deprecated. Selects one authentication challenge out of all available and creates and generates `AuthScheme` instance capable of processing that challenge.

### Method Detail

#### isAuthenticationRequested

    boolean isAuthenticationRequested(org.apache.http.HttpResponse response,
                                    org.apache.http.protocol.HttpContext context)

Deprecated.
Determines if the given HTTP response response represents an authentication challenge that was sent back as a result of authentication failure

Parameters:
  `response` - HTTP response.
  `context` - HTTP context.
Returns:
  `true` if user authentication is required, `false` otherwise.

#### getChallenges

    Map<String,org.apache.http.Header> getChallenges(org.apache.http.HttpResponse response,
                                                   org.apache.http.protocol.HttpContext context)
                                                     throws MalformedChallengeException

Deprecated.
Extracts from the given HTTP response a collection of authentication challenges, each of which represents an authentication scheme supported by the authentication host.

Parameters:
  `response` - HTTP response.
  `context` - HTTP context.
Returns:
  a collection of challenges keyed by names of corresponding authentication schemes.
Throws:
  `MalformedChallengeException` - if one of the authentication challenges is not valid or malformed.

#### selectScheme

    AuthScheme selectScheme(Map<String,org.apache.http.Header> challenges,
                          org.apache.http.HttpResponse response,
                          org.apache.http.protocol.HttpContext context)
                            throws AuthenticationException

Deprecated.
Selects one authentication challenge out of all available and creates and generates `AuthScheme` instance capable of processing that challenge.

Parameters:
  `challenges` - collection of challenges.
  `response` - HTTP response.
  `context` - HTTP context.
Returns:
  authentication scheme to use for authentication.
Throws:
  `AuthenticationException` - if an authentication scheme could not be selected.